// JavaScript Document

function buyNewCompanyList() {

   // Holt Kontostand (account)
  var account = parseFloat($("#account").attr('data-account'));  
  // Kosten für das generieren der neuen Liste
  var charge = localStorage.getItem('companyListCharge');
  
  // Prüfen ob Geld ausreicht für den Kauf
  if (account < charge) {
    message(lang.notEnoughMoney); 
    return;       
  } else {            
    // Geld vom Konto abziehen        
    decreaseAccount(charge); 
  }  
  // Neue generieren  
  generateCompanyList();
}


function generateCompanyList() {
  

  // Aktuelle löschen
  localStorage.setItem('companyOrderList', null);
  $( "#company-order-list" ).empty();
  
  var companys = "";
     
  for (var i = 1; i <= localStorage.getItem('generateCompanysLevel'); i++) {      
    
    // Zufällige Auswahl einer Branche
    var branchId = Math.floor((Math.random() * localStorage.getItem('branchLevel')) + 1); 
    
    // Multiplikator
    var multiplikator = (Math.random() * (3 - 1) + 1);
    
    // Bildungsfaktor holen
    var educationFaktor = parseInt(localStorage.getItem('educationLevel'));
    
    //if (educationFaktor > 0) { multiplikator = multiplikator + educationFaktor;} 
    
		// Auf Basis der Branche Faktor berechnen
    var faktor = branchId*multiplikator;

    var company_branch = branch['branch_' + branchId];    
    
    var company_name = String(generateCompanyName(branchId));
    
    // Kaufkosten eines Unternehmens // (Math.random() * (max - min)) + min;
    var varianz = Math.floor((Math.random() * (5000 - 2000)) + 2000);
    var company_charge = varianz * (branchId*branchId*branchId);
    var company_charge_format = n(company_charge);
    
    // -
    var data_value = 0;
    
    // Zeit in Mikrosekunden pro Upgrade
    var data_speed = Math.floor((Math.random() * (25 - 1)) + 1);   
    
    // Profit * Data-Faktor bei Upgrade
    //var rand = Math.floor((Math.random() * (branchId*multiplikator)) + branchId);
    //var data_faktor = ((rand *faktor));
    // -> OLD var data_faktor = (branchId + branchId) * (multiplikator + educationFaktor);
    
    // Faktor unabhängig der Branche, Change on 26.02.2015
    //var data_faktor = Math.floor((Math.random() * (99 - 1)) + 1) + (branchId*2) + educationFaktor;
    
    // Varianz +/- 5 		
		var branchFaktorMin = (branchId * 10)-10 - Math.floor((Math.random() * (10 - 1)) + 1);
		var branchFaktorMax = (branchId * 10) + Math.floor((Math.random() * (10 - 1)) + 1);
		
		// Ausnahme BranchId 1
		if (branchId == 1) { 
			var branchFaktorMin = 1;
			var branchFaktorMax = 10;
		} 
		
		// Education
		branchFaktorMin = branchFaktorMin + educationFaktor;
		branchFaktorMin = branchFaktorMax + educationFaktor;		
		
		//console.log(branchFaktorMin + " : " + branchFaktorMax);
		var data_faktor =  Math.floor((Math.random() * (branchFaktorMax - branchFaktorMin)) + branchFaktorMin);      
    
    
    // Aktuelles Level
    var data_level = 1;
    
    
    var data_min = faktor*20; 
    var data_max = faktor*30;
    
    // Grundprofit
    //var data_profit = faktor*25;  
    var data_profit = Math.floor((Math.random() * (data_max - data_min)) + data_min);
    //console.log(faktor + " : " + data_min);  
    
    // Grundkosten Upgrade
    var data_charge = data_profit + Math.floor((Math.random() * (data_max - data_min)) + data_min);
    
    // Grundkosten * data-increase-rate bei Upgrade
    var data_increase_rate = data_faktor + Math.random() * (faktor - 1) + 1;
		
		// Potential geschätz min/max / Abweichung um */- 15 %
		var min = data_faktor - ((data_faktor/100)*Math.floor((Math.random() * (15 - 1)) + 1));
		var max = data_faktor + ((data_faktor/100)*Math.floor((Math.random() * (15 - 1)) + 1));
    
    if (n(min) == n(max)) { max = max + 1; }
    
    
    var company = ''
    +             '<li class="buyItem_'+i+'"><a onclick="buyItem('+i+','+"'"+company_name+"'"+','+"'"+company_branch+"'"+','+company_charge+','+data_value+','+data_speed+','+ data_faktor +',' + data_level    + ','+ data_profit +',' + data_charge+',' + data_increase_rate +')" class="ui-btn ui-btn-icon-right ui-icon-carat-r">'
    +             '<h2>' + company_name + '</h2>'
    +             '<p><strong>' + company_branch + '</strong>, '+ lang.estimatedPotential +' '+ parseInt(min) + ' - '+ parseInt(max) + '</p>'
    +             '<p></p>'
    +             '<p class="ui-li-aside"><strong>' + company_charge_format + ' '+ lang.euro +'</strong></p>'
    +             '</a></li>'
    
    companys = companys + company; 
  }
  
   var divider = '<li class="ui-li-divider ui-bar-inherit" data-role="list-divider" role="heading"></li>';
   
   // Generiert Link um neue Unternehmen zu generieren
    var button = ''
    +             '<li><a onclick="buyNewCompanyList()" class="ui-btn ui-btn-icon-right ui-icon-carat-r">'
    +             '<h2>' + lang.consulting + '</h2>'
    +             '<p><strong><span id="CompanysCount">' + localStorage.getItem('generateCompanysLevel') + '</span> ' + lang.buyNewCompanys + '</strong></p>'
    +             '<p></p>'
    +             '<p class="ui-li-aside"><strong><span id="companyListCharge">' + n(localStorage.getItem('companyListCharge')) + '</span> €</strong></p>'
    +             '</a></li>'	
	
	companys = companys + divider + button;
	
  localStorage.setItem('companyOrderList', companys);   
  $( "#company-order-list" ).append(companys); 

} 


// Bereits genrierte CompanyList anzeigen
function createCompanyList() {    
  // Liste leeren
  $( "#company-order-list" ).empty();
  // Holt CompanyList aus dem Storage
  var companys = localStorage.getItem('companyOrderList');   
  // Bindet CompanyList in den View
  $( "#company-order-list" ).append(companys);  
  return;
}

function deleteCompany(id) {
  
  // Company entfernen
  $( ".item-list #customItem-"+id ).remove();
  $( ".item-list #del-btn-"+id ).remove();
	 
	
  clearAll();
  
  // Setzt neue Item Liste
  localStorage.removeItem('customItems');
  localStorage.setItem('customItems', $('.item-list').html()); 
  
  // Profit aktualiseren
	refreshProfit();
  
  // Change at 25.02
  //start();
	
	save();
}


function buyItem(id, company_name, company_branch, company_charge, data_value, data_speed, data_faktor, data_level, data_profit, data_charge, data_increase_rate) {     

  // Holt Kontostand (account)
  var account = parseFloat($("#account").attr('data-account')); 
  
  // Anzahl aller Items holen und prüfen ob Slotanzahl ausreicht
  var items = 0; $(".item").each(function() {items++;});
  if (localStorage.getItem('slotLevel') <= items) {
    message(lang.needMoreManager);
    return; 
   }  
  
  // Prüfen ob Geld ausreicht für den Kauf
  if (account < company_charge) {
    message(lang.notEnoughMoney); 
    return;       
  } else {            
    // Geld vom Konto abziehen        
    decreaseAccount(company_charge); 
  }  
  
  // Holt Custom Items
  if (localStorage.getItem('customItems') != null) {
  var customItems = localStorage.getItem('customItems');
  } else { 
    var customItems = "";
  }  
  
  
  // CustomItems zählen um fortlaufene IDs zu vergeben
  var i = 0; $(".customItem").each(function() {i++;});
  i = i + new Date().getTime();
  
  
  var customItem = '<div class="item customItem" id="customItem-'+ i +'">'
  +                '<div id="pop-'+ i +'" class="pop" data-value="0" data-value-now="'+ data_value +'" data-speed="'+ data_speed +'" data-faktor="' + data_faktor + '" data-branch="'+ company_branch + '"></div>'
  +                '<div><span class="name" data-name="' + company_name + '"></span> '
  
  +                '<span class="level" data-level="' + data_level + '"></span>'
  +                '<span class="faktor" data-faktor="' + data_faktor + '"></span>'
  +                '<span class="profit" data-profit="' + data_profit + '"></span>'
  +                '<span class="charge" data-charge="' + data_charge + '" data-increase-rate="' + data_increase_rate + '"></span>'
	+									'</div></div><a id="del-btn-' + i + '" class="del-btn" onclick="deleteCompany(' + i + ')"><i class="fa fa-remove"></i></a>'; 
  
  
  var customItems = customItem + customItems;   
  
  localStorage.setItem('customItems', customItems); 

  // Kaufliste entfernen, wird neu generiert   
  localStorage.removeItem('companyOrderList');
  localStorage.removeItem('customItems'); 

  
  // ITEMS REINISTIALISIEREN
  $( ".item-list" ).append(customItem); 
  $( '#pop-'+ i ).progressbar({value: 0});
  
  refreshName();  
	clearAll();
	refreshProfit();
  refreshCharge();
  start();   
  
  $('#openTab-1').click();
	
	save();
}


// Setzt Auswahl der Branchen (Select) bei Unternehmensgründung
function createCompanyBranchSelect() {  
  
  // Leeren
  $( "#branch" ).empty();
  
  // Holt Anzahl der freigeschalteten Branchen
  var x = parseInt(localStorage.getItem('branchLevel'));

  // Initialisiert 
  var branchs = '';
   
  for (var i = 1; i <= x; i++) {    
      var branch = '<option value="'+localStorage.getItem('branch_'+i)+'">'+localStorage.getItem('branch_'+i)+'</option>';
      branchs = branchs + branch; 
  }
  // Bindet CompanyList in den View
  $( "#branch" ).append(branchs);  
  return;
}