// JavaScript Document
/*
*   Internationalison of Game Variables
*   German Translation, Heiko Mettelsiefen
*   Hamburg, 18.02.2015
*/
lang = {
    playNow:              "Jetzt Spielen",
    holdingTycoon:        "holdingTycoon", 
    myCompanys :          "Meine Unternehmen",
    buyCompany:           "Unternehmen kaufen",
    companyName:          "Name des Unternehmens",
    branch:               "Branche",
    management:           "Management",
    tutorial:             "Anleitung",
    settings:             "Einstellungen",
    euro:                 "€",
    employManager:        "Manager einstellen",
    employConsulter:      "Consulter einstellen",
    productDesign:        "Produktentwicklung",
    researchDepartment:   "Forschungsabteilung",
    educationalCenter:    "Bildungszentrum",
    consulterTraining:    "Consulter Fortbildung",
    save:                 "Speichern",
    update:               "Aktualisieren",
    gameRelocate:         "Spiel zurücksetzen",
    notEnoughMoney:       "Nicht genug Geld",
    estimatedPotential:   "geschätztes Potential",
    buyNewCompanys:       "Neue Unternehmen recherchieren, die gekauft werden können",
    consulting:           "Consulting",
    needMoreManager:      "Es werden mehr Manager benötigt.",
    allBranchesUnlocked:  "Es sind alle Branchen freigeschaltet",
    unlocked:             "freigeschaltet",
    saveSuccess:          "Spiel wurde gespeichert",
    branchs:              "Branchen",
    unlockedBranchs:      "freigeschaltete Branchen",
    backButton:           "zurück",
    selectLanguage:       "Sprache wählen",
    
    save_info:            "Speichert das Spiel (überschreibt Autosave)",
    update_info:          "Lädt die letzten Speicherdaten erneut.",
    gameRelocate_info:    "Löscht unwiderruflich alle Speicherstände.",
    
    employManager_info:       "Pro Manager kann ein Unternehmen geführt werden",
    productDesign_info:       "Schaltet pro Stufe eine neue Branche frei",
    researchDepartment_info:  "Senkt Kosten für Produktentwicklung",
    educationalCenter_info:   "Erhöht die Qualität der recherchierten Unternehmen",
    employConsulter_info:     "Erhöht die  Anzahl der recherchierten Unternehmen",
    consulterTraining_info:   "Senkt die Kosten für das recherchieren neuer Unternehmen",
     
};
 /*
*   Internationalison of Branch Definition
*   German Translation, Heiko Mettelsiefen
*   Hamburg, 18.02.2015
*/  
branch = {
    branch_1:   "Einzelhandel", 
    branch_2:   "Dienstleistungen",
    branch_3:   "Immobilien",
    branch_4:   "Rohstoffe",
    branch_5:   "Produktion",
    branch_6:   "Förderung",
    branch_7:   "Touristik",
    branch_8:   "Automobilzulieferer",
    branch_9:   "Schiffahrt",
    branch_10:   "Softwareentwicklung",
    branch_11:   "Juwelier und Schmuck",    
    branch_12:   "Großhandel", 
    branch_13:   "Flugzeugbau",  
    branch_14:   "Konsumgüter",  
    branch_15:   "Nahrungsmittel",  
    branch_16:   "Schiffsbau",   
    branch_17:   "Eisenbahnbau", 
    branch_18:   "Baugewerbe",  
    branch_19:   "Banken",  
    branch_20:   "Telekommunikation", 
    branch_21:   "Finanzdienstleister",    
    branch_22:   "Versicherungen",  
    branch_23:   "Technologie",  
    branch_24:   "Automobilproduktion",
    branch_25:   "Versorger",
    branch_26:   "Informationstechnik", 
    branch_27:   "Öl und Gas",
    branch_28:   "Pharma",
    branch_29:   "Luft- und Raumfahrt",
    branch_30:   "Mischkonzerne",   
    
};
/*
*   Internationalison of Tutorial
*   German Translation, Heiko Mettelsiefen
*   Hamburg, 18.02.2015
*/  
tutorial = {
    beginnersGuide:         "Spielprinzip", 
    beginnersGuide_text:    "Brain Gain ist ein endlos Aufbau-Knobel Spiel. Das Ziel ist möglichst hohe Gewinne zu erreichen. Dafür ist es notwendig renditestarke Unternehmen zu finden, zu kaufen und auszubauen. Dabei ist es sinnvoll sich von zu Zeit von schwachen Unternehmen zu trennen.",
    myCompanys_text:        "In der Ansicht 'Meine Unternehmen' (Globus), findet sich die Liste aller gekauften Unternehmen. Mit einem Klick auf das Unternehmen kann dieses ausgebaut werden.",
    level:                  "Level",
    potential:              "Potential",
    profit:                 "Profit",
    charge:                 "Kosten",
    level_info:             "zeigt die aktuelle Ausbaustufe.</p>",
    potential_info:         "ist eine Einschätzung des Consulters über die Gewinnaussichten eines Unternehmens. Je höher der Wert, destio lukrativer das Geschäft.",
    profit_info:            "zeigt die aktuelle Einnahmen eines Unternehmens an.",
    charge_info:            "zeigt die Kosteten für die nächste Ausbaustufe.",
    buyCompany_text:        "In der Kaufliste (Gebäude) finden sich die aktuell zum Verkauf angebotenen Unternehmen. Um ein Unternehmen zu kaufen, muss es angeklickt werden. Beim Kauf sind zwei Dinge zu beachten.",
    potentialbuy_info:      "Das angezeigte Potential basiert auf der Einschätzung des Consulters. In diesem Rahmen bewegt sich das tatsächliche Potential, welches erst nach dem Kauf angezeigt wird. Je höher das Potential, desto positiver die Renditeaussichten.",
    chargebuy_info:         "Der Kaufpreis bestimmt die Summe, die zum Kauf des Unternehmens bezahlt werden muss.",
    personal:               "Personal",
    personal_text:          "Unter dem Punkt Personal (Person) können Mitarbeiter eingestellt werden. Manager werden benötigt um Unternehmen zu leiten, Consulter um Unternehmen zum Kauf zu finden.",
    education:              "Bildung",
    education_text:         "Im Bereich Bildung können Sie Mitarbeiter ausbilden oder neue Bildungs- und Forschungseinrichtungen kaufen bzw. ausbauen.",
    productDesign:          "Produktentwicklung",
    productDesign_text:     "In der Produktentwicklung (Zahnräder) werden neue Branchen erschlossen. Pro Ausbaustufe stehen neue Unternehmen in der Kaufliste zur Verfügung.",
    settings_save:          "Speichert den aktuellen Spielstand und überschreibt den Autosave.",
    settings_refresh:       "Bei Problemen hilft diese Funktionen den letzten Spielstand zu laden.",
    settings_delete:        "Löscht sämtliche Speicherdateien und setzt das Spiel auf den Ursprungszustand zurück.",
    researchDepartment_text:"",
    educationalCenter_text: "Das Bildungszentrum bietet Weiterbildungen für Consulter und erreicht damit eine höhere Qualität der recherchierten Unternehmen. Damit steigt die Qualität der Unternehmen in der Kaufliste unabhängig der Branche. Eine lohnende Investition, aber auch nicht ganz billig.",
};