// JavaScript Document
$('#createItem').click(function() {   
  
  
  // Kosten für die Gründung eines Unternehmens
  var charge = localStorage.getItem('companyListCharge');
  
  // Holt Kontostand (account)
  var account = parseFloat($("#account").attr('data-account')); 
  
  // Bei Beginn einmalig Geld abbuchen
  if ($( this ).attr("aria-valuenow") == 0){             
      // Prüfen ob Geld ausreicht für den Kauf
      if (account < charge) {
        message("Not enough Money") 
        return;       
      } else {            
        // Geld vom Konto abziehen        
        decreaseAccount(charge);
      }
  }  

  // Formulardaten
  var company_name =    $('#company_name').val();
  var company_branch =  $("#branch option:selected").text();
  var company_budget =  parseInt($('#budget').val());
   
  
  // FAKTOREN
  /*
  Angestellte       / data-speed            Erhöhen den Geschwindigkeit
  Geschäftsführer   / data-charge           Kosten für Levelaufstieg (negativ)
  Forschung         / data-increase-rate    Multiplikator der Level-Ausbaukosten (negativ)
  Marketing         / data-profit           Profit Standard
  Niederlassungen   / data-faktor           Multiplikator Profit pro Tick  
  */  
 
  
  // Anzahl aller Items holen und prüfen ob Slotanzahl ausreicht
  var items = 0; $(".item").each(function() {items++;});
  if (localStorage.getItem('slots') <= items) {
    message('Not Slots available!');
    return; 
   }
   
  // Prüfen ob Geld ausreicht für den Kauf
  if (account < company_budget) {
    message("Not enough Money"); 
    $('#notenoughmoney').show();
    return;       
  } else {            
    // Geld vom Konto abziehen        
    decreaseAccount(company_budget);
  }
  
  // Holt Custom Items
  if (localStorage.getItem('customItems') != null) {
  var customItems = localStorage.getItem('customItems');
  } else { 
    var customItems = "";
  }  
  
  
  // CustomItems zählen um fortlaufene IDs zu vergeben
  var i = 0; $(".customItem").each(function() {i++;});
  i++;
  
  // -
  var data_value = 0;
  // Zeit in Mikrosekunden pro Upgrade
  var data_speed = Math.floor((Math.random() * 500) + 10); ;
  // Profit * Data-Faktor bei Upgrade
  var data_faktor = Math.floor((Math.random() * 20) + 2);
  // Aktuelles Level
  var data_level = 1;
  // Grundprofit
  var data_profit = Math.floor((Math.random() * 50) + 1);;
  // Grundkosten
  var data_charge = Math.floor((Math.random() * 500) + 25);
  // Grundkosten * data-increase-rate bei Upgrade
  var data_increase_rate = data_faktor + Math.floor((Math.random() * 10) + 1);
  
 
  var customItem = '<div class="item customItem" id="customItem-'+ i +'">'
  +                '<div id="pop-'+ i +'" class="pop" data-value="0" data-value-now="'+ data_value +'" data-speed="'+ data_speed +'" data-faktor="' + data_faktor + '" data-branch="'+ company_branch + '"></div>'
  +                '<div><span class="name" data-name="' + company_name + '"></span> '
  
  +                '<span class="level" data-level="' + data_level + '"></span>'
  +                '<span class="faktor" data-faktor="' + data_faktor + '"></span>'
  +                '<span class="profit" data-profit="' + data_profit + '"></span>'
  +                '<span class="charge" data-charge="' + data_charge + '" data-increase-rate="' + data_increase_rate + '"></span>'
	+									'</div></div><a id="del-btn-' + i + '" class="del-btn" onclick="deleteCompany(' + i + ')"><i class="fa fa-remove"></i></a>'; 
  

    
    
    
/*
  Angestellte       / data-speed            Erhöhen den Geschwindigkeit employees
  Geschäftsführer   / data-charge           Kosten für Levelaufstieg (negativ) management
  Forschung         / data-increase-rate    Multiplikator der Level-Ausbaukosten (negativ) research
  Marketing         / data-profit           Profit Standard employees
  Niederlassungen   / data-faktor           Multiplikator Profit pro Tick locations
  */
  
  
  var customItems = customItem + customItems;   
  
  localStorage.setItem('customItems', customItems); 
  
  // ITEMS REINISTIALISIEREN
  //$( ".item" ).remove();
  $( ".item-list" ).append(customItem).fadeIn(1000); 
  //$( '#customItem-'+ i ).fadeOut(5000);
  $( '#pop-'+ i ).progressbar({value: 0});
  start();  
  refreshName();
  
  $('#openTab-1').click();
});