// JavaScript Document
function refreshProfit() {
 var ProfitProTick = 0.00;
 var i = 0;
 $(".profit").each(function() {
    i++;
    // Profit setzen
    var profit = $(this).attr("data-profit");       
    
		// Geldformat
    $(this).text(n(profit));
    //console.log(numeral(profit).format('0,0[.]00'))
         
    localStorage.setItem('data-profit-'+i, profit)   
       
    // Profit zusammenzählen    
    ProfitProTick = (ProfitProTick + parseFloat(profit));       
  })
 
 $("#ProfitProTick").attr('data-profit-all', ProfitProTick); 
 $("#ProfitProTick").text(n(ProfitProTick)); 
 localStorage.setItem('data-profit-all', ProfitProTick);
 localStorage.setItem('data-profit', ProfitProTick)  
} 


function refreshDataValueNow() { 
 var i = 0;
 $(".pop").each(function() {
    i++;		
		if (localStorage.getItem('data-value-now-'+i) != 0 && localStorage.getItem('data-value-now-'+i) != 100 && localStorage.getItem('data-value-now-'+i) != "NaN" && localStorage.getItem('data-value-now-'+i) != null) {			
			$(this).attr("data-value-now", localStorage.getItem('data-value-now-'+i));      
			$(this).addClass("waiting");	 
		} else {
			$(this).attr("data-value-now", 0);			 
		}
		$(this).removeClass("active");
 });
} 

// Aktualisiert aktuellen Progressstand
function refreshDataValueNowOnProgress() { 
 var i = 0;
 $(".pop").each(function() {
    i++;			
		localStorage.setItem('data-value-now-'+i, parseInt($(this).attr("data-value-now")));
		
		/*
		if ($(this).attr("data-value-now") != 0) {
				console.log(i + " : " + localStorage.getItem('data-value-now-'+i))
		}
		*/		
 });
}
 
function refreshProgress() {
  // Löscht alle Progressbars aus dem HTML item-list
	$('.ui-progressbar-value').remove();
	
	var i = 0;
	$(".pop").each(function() {
		i++;
		
		if ($(this).attr("data-value-now") != 0 && $(this).attr("data-value-now") != 100) {			
			var val = parseInt($(this).attr("data-value-now"));
			$(this).progressbar({ value: val });
		} else {
			$(this).progressbar({ value: 0 });	
		}        
  });
 }
 
function refreshName() { 
 $(".name").each(function() {
    $(this).text($(this).attr("data-name"));    
 });
}
 
function refreshLevel() {
 var i = 0;
 $(".level").each(function() {    
    i++;
    $(this).text(n($(this).attr("data-level")));
    localStorage.setItem('data-level-'+i, parseFloat($(this).attr("data-level")));    
 });
}
 
 // Aktualisiert Faktor
function refreshFaktor() {
 var i = 0;
 $(".faktor").each(function() {
     i++;
    $(this).text(n($(this).attr("data-faktor"))); 
    localStorage.setItem('data-faktor-'+i, parseInt($(this).attr("data-faktor")));   
 });
}

// Aktualisiert Kosten
function refreshCharge() { 
 var i = 0;
 $(".charge").each(function() {
    i++;    
    $(this).text(n($(this).attr("data-charge"))); 
    localStorage.setItem('data-charge-'+i, $(this).attr("data-charge"));
 });
} 


// Aktualisiert Account (Konto)
function refreshAccount() { 
 	$("#account").text(n($('#account').attr("data-account"))); 
 	localStorage.setItem('account', parseInt($('#account').attr("data-account")));
} 
 

// Aktualisiert List der verfügbaren / gekauften Branchen
function refreshBranchList() {
   
 // Setzt aktuelle Liste auf NULL
 $('#branchen').empty();
 
 // Lädt Liste aller freigschalteten Branchen    
 var branchLevel = parseInt(localStorage.getItem('branchLevel'));
    
 // Inistialisiert branchen
 // Geht uber den branchenkon nach unten und stzeckt den kau.
 var branchen = "";

 // Gibt alle freigeschaltetn Branchen aus
 for (var i = 1; i <= branchLevel; i++) {  

      branchs = "<li class='ui-li-static ui-body-inherit'>" + branch['branch_'+i] +"</li>";
      branchen = branchen + branchs;
 }
   
 $('#branchen').append(branchen);
 localStorage.setItem('branchList', branchen);

  
   
}