// JavaScript Document

// Holt alle Daten aus dem Storage  
function start() { 
  
  
  // Select für Unternehmensgründung
  createCompanyBranchSelect();
  // Generiert zufällige Unternehmen, falls nicht vorhanden ZUM KAUF
  if (localStorage.getItem('companyOrderList') == 'null' || localStorage.getItem('companyOrderList') == 'NaN' || localStorage.getItem('companyOrderList') == null) {
    generateCompanyList();
  } else {      
    createCompanyList();
  }
  
  // Lädt Kontostand -> wenn gesetzt
  if (localStorage.getItem('account') != null && localStorage.getItem('account') != 'NaN') {
    $("#account").text(n(localStorage.getItem('account'))); 
    $("#account").attr("data-account", parseInt(localStorage.getItem('account'))); 
  } else { 
    // Ansonsten vom data-level (Default-Werte)
    refreshAccount(); 
  } 

  // Lädt alle aktuellen Level
  var i = 0;
  $(".level").each(function() {    
    i++;
    // Wenn verfügbar aus dem Storage
    if (localStorage.getItem('data-level-'+i) != null) {
      $(this).attr("data-level", localStorage.getItem('data-level-'+i));
      $(this).text(localStorage.getItem('data-level-'+i));
     } else {
      // Ansonsten vom data-level (Default-Werte)
      refreshLevel(); 
     }       
  });
   
  // Lädt alle aktuellen Faktoren
  var i = 0;
  $(".faktor").each(function() {    
    i++;
    // Wenn verfügbar aus dem Storage
    if (localStorage.getItem('data-faktor-'+i) != null) {      

			$(this).attr("data-faktor", localStorage.getItem('data-faktor-'+i));
      $(this).text(n(localStorage.getItem('data-faktor-'+i)));
     } else {
      // Ansonsten vom data-level (Default-Werte)
      refreshFaktor();  
     }       
   });
   
   // Lädt alle aktuellen Kosten
   var i = 0;
   $(".charge").each(function() {    
      i++;
      // Wenn verfügbar aus dem Storage
      if (localStorage.getItem('data-charge-'+i) != null && localStorage.getItem('data-charge-'+i) != 'NaN') {
        $(this).attr("data-charge", parseInt(localStorage.getItem('data-charge-'+i)));
        $(this).text(n(localStorage.getItem('data-charge-'+i)));
      } else {
      // Ansonsten vom data-charge (Default-Werte)
      $(this).text(n($(this).attr("data-charge"))); 
      localStorage.setItem('data-charge-'+i, parseInt($(this).attr("data-faktor"))); 
      }       
   });
   
   // Lädt alle aktuellen Profite
   var ProfitProTick = 0.00;  
   var i = 0;
   $(".profit").each(function() {    
      i++;
      // Wenn verfügbar aus dem Storage
      if (localStorage.getItem('data-profit-'+i) != null) {
        $(this).attr("data-profit", localStorage.getItem('data-profit-'+i));
        $(this).text(n(localStorage.getItem('data-profit-'+i)));
        ProfitProTick = (ProfitProTick + parseFloat(localStorage.getItem('data-profit-'+i)));				
      } else {
        // Ansonsten vom data-level (Default-Werte)
        refreshProfit();  
      } 
			$('#ProfitProTick').attr('data-profit-all',ProfitProTick );
   });
   
   // Lädt alle aktuellen Angestellten
   var i = 0;
   $(".employees").each(function() {    
      i++;
      // Wenn verfügbar aus dem Storage
      if (localStorage.getItem('data-employees-'+i) != null && localStorage.getItem('data-employees-'+i) != 'NaN') {
        $(this).attr("data-employees", localStorage.getItem('data-employees-'+i));
        $(this).text(localStorage.getItem('data-employees-'+i));
      } else {
      // Ansonsten vom data-charge (Default-Werte)
      $(this).text($(this).attr("data-employees")); 
      localStorage.setItem('data-employees-'+i, parseInt($(this).attr("data-employees"))); 
      }       
   });
   
   // Lädt aktuelles Management Level
   var i = 0;
   $(".management").each(function() {    
      i++;
      // Wenn verfügbar aus dem Storage
      if (localStorage.getItem('data-management-'+i) != null && localStorage.getItem('data-management-'+i) != 'NaN') {
        $(this).attr("data-management", localStorage.getItem('data-management-'+i));
        $(this).text(localStorage.getItem('data-management-'+i));
      } else {
      // Ansonsten vom data-charge (Default-Werte)
      $(this).text($(this).attr("data-management")); 
      localStorage.setItem('data-management-'+i, parseInt($(this).attr("data-management"))); 
      }       
   });
   
   // Lädt alle aktuelles Forschung Level
   var i = 0;
   $(".research").each(function() {    
      i++;
      // Wenn verfügbar aus dem Storage
      if (localStorage.getItem('data-research-'+i) != null && localStorage.getItem('data-research-'+i) != 'NaN') {
        $(this).attr("data-research", localStorage.getItem('data-research-'+i));
        $(this).text(localStorage.getItem('data-research-'+i));
      } else {
      // Ansonsten vom data-charge (Default-Werte)
      $(this).text($(this).attr("data-research")); 
      localStorage.setItem('data-research-'+i, parseInt($(this).attr("data-research"))); 
      }       
   });

   // Lädt Marketing Level
   var i = 0;
   $(".marketing").each(function() {    
      i++;
      // Wenn verfügbar aus dem Storage
      if (localStorage.getItem('data-marketing-'+i) != null && localStorage.getItem('data-marketing-'+i) != 'NaN') {
        $(this).attr("data-marketing", localStorage.getItem('data-marketing-'+i));
        $(this).text(localStorage.getItem('data-marketing-'+i));
      } else {
      // Ansonsten vom data-charge (Default-Werte)
      $(this).text($(this).attr("data-marketing")); 
      localStorage.setItem('data-marketing-'+i, parseInt($(this).attr("data-marketing"))); 
      }       
   });
   
   // Lädt Anzahl der Niederlassungen 
   var i = 0;
   $(".locations").each(function() {    
      i++;
      // Wenn verfügbar aus dem Storage
      if (localStorage.getItem('data-locations-'+i) != null && localStorage.getItem('data-locations-'+i) != 'NaN') {
        $(this).attr("data-locations", localStorage.getItem('data-locations-'+i));
        $(this).text(localStorage.getItem('data-locations-'+i));
      } else {
      // Ansonsten vom data-charge (Default-Werte)
      $(this).text($(this).attr("data-locations")); 
      localStorage.setItem('data-locations-'+i, parseInt($(this).attr("data-locations"))); 
      }       
   });
   
         
   if (localStorage.getItem('data-profit') != null) {       
      $("#ProfitProTick").text(n(ProfitProTick));
   } else { $("#ProfitProTick").text('0.00'); }
   
  
    refreshBranchList();

}  // start(); 